diff --git a/array.h b/array.h
index 27ab6be0..dc9f564e 100644
--- a/array.h
+++ b/array.h
@@ -121,4 +121,7 @@ extern ARRAY *array_from_string __P((char *, char *));
 
 #define ALL_ELEMENT_SUB(c)	((c) == '@' || (c) == '*')
 
+/* In eval.c, but uses ARRAY_ELEMENT * */
+extern int execute_array_command PARAMS((ARRAY_ELEMENT *, void *));
+
 #endif /* _ARRAY_H_ */
diff --git a/doc/bash.0 b/doc/bash.0
index 7b9a7819..3385726f 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -1309,11 +1309,9 @@ PPAARRAAMMEETTEERRSS
               while the shell is running, bbaasshh enables _p_o_s_i_x _m_o_d_e, as  if  the
               command  _s_e_t  _-_o _p_o_s_i_x had been executed.  When the shell enters
               _p_o_s_i_x _m_o_d_e, it sets this variable if it was not already set.
-       PPRROOMMPPTT__CCOOMMMMAANNDDSS
-              If this array variable is set, the value of each set element  is
-              executed  as a command prior to issuing each primary prompt.  If
-              this is not set, but PPRROOMMPPTT__CCOOMMMMAANNDD is set to a value, its value
-              is used as a command to execute instead.
+       PPRROOMMPPTT__CCOOMMMMAANNDD
+              If set, the value is executed as a command prior to issuing each
+              primary prompt.
        PPRROOMMPPTT__DDIIRRTTRRIIMM
               If  set  to a number greater than zero, the value is used as the
               number of trailing directory components to retain when expanding
@@ -1429,22 +1427,14 @@ PPAARRAAMMEETTEERRSS
        rreeaaddoonnllyy builtins.  Each attribute applies to all members of an array.
 
        Arrays  are  assigned  to  using  compound  assignments  of  the   form
-       _n_a_m_e=((value_1  ...  value_n)),  where  each _v_a_l_u_e may be of the form [_s_u_b_-
+       _n_a_m_e=((value_1  ...  value_n)),  where  each  _v_a_l_u_e  is  of  the form [_s_u_b_-
        _s_c_r_i_p_t]=_s_t_r_i_n_g.  Indexed array assignments do not require anything  but
        _s_t_r_i_n_g.  When assigning to indexed arrays, if the optional brackets and
        subscript are supplied, that index is assigned to; otherwise the  index
        of  the element assigned is the last index assigned to by the statement
        plus one.  Indexing starts at zero.
 
-       When assigning to an associative array, the words in a compound assign-
-       ment  may  be  either assignment statements, for which the subscript is
-       required, or a list of words that is interpreted as a sequence  of  al-
-       ternating  keys and values: _n_a_m_e=(( _k_e_y_1 _v_a_l_u_e_1 _k_e_y_2 _v_a_l_u_e_2 ...)).  These
-       are treated identically to  _n_a_m_e=((  [_k_e_y_1]=_v_a_l_u_e_1  [_k_e_y_2]=_v_a_l_u_e_2  ...)).
-       The  first  word in the list determines how the remaining words are in-
-       terpreted; all assignments in a list must be of the  same  type.   When
-       using  key/value  pairs,  the keys may not be missing or empty; a final
-       missing value is treated like the empty string.
+       When assigning to an associative array, the subscript is required.
 
        This syntax is also accepted by the ddeeccllaarree builtin.  Individual  array
        elements  may be assigned to using the _n_a_m_e[_s_u_b_s_c_r_i_p_t]=_v_a_l_u_e syntax in-
@@ -1835,15 +1825,6 @@ EEXXPPAANNSSIIOONN
               itself, depending on the value of _o_p_e_r_a_t_o_r.  Each _o_p_e_r_a_t_o_r is  a
               single letter:
 
-              UU      The  expansion is a string that is the value of _p_a_r_a_m_e_t_e_r
-                     with lowercase alphabetic characters converted to  upper-
-                     case.
-              uu      The  expansion is a string that is the value of _p_a_r_a_m_e_t_e_r
-                     with the first character converted to uppercase, if it is
-                     alphabetic.
-              LL      The  expansion is a string that is the value of _p_a_r_a_m_e_t_e_r
-                     with uppercase alphabetic characters converted to  lower-
-                     case.
               QQ      The  expansion is a string that is the value of _p_a_r_a_m_e_t_e_r
                      quoted in a format that can be reused as input.
               EE      The expansion is a string that is the value of  _p_a_r_a_m_e_t_e_r
@@ -1855,9 +1836,6 @@ EEXXPPAANNSSIIOONN
               AA      The expansion is a string in the form  of  an  assignment
                      statement  or  ddeeccllaarree  command  that, if evaluated, will
                      recreate _p_a_r_a_m_e_t_e_r with its attributes and value.
-              KK      Identical to AA, except that it prints compound assignment
-                     statements that recreate associative arrays as a sequence
-                     of key-value pairs (see AArrrraayyss above).
               aa      The expansion is a string consisting of flag values  rep-
                      resenting _p_a_r_a_m_e_t_e_r's attributes.
 
@@ -3533,14 +3511,10 @@ RREEAADDLLIINNEE
               if  the  current  Readline  line  does not take up more than one
               physical line or if the length of the current Readline  line  is
               not greater than the length of the prompt plus the screen width.
-       cclleeaarr--ddiissppllaayy ((MM--CC--ll))
-              Clear  the  screen  and,  if possible, the terminal's scrollback
-              buffer, then redraw the current line, leaving the  current  line
-              at the top of the screen.
        cclleeaarr--ssccrreeeenn ((CC--ll))
-              Clear the screen, then redraw the current line, leaving the cur-
-              rent line at the top of the screen.  With an  argument,  refresh
-              the current line without clearing the screen.
+              Clear  the  screen  leaving  the  current line at the top of the
+              screen.  With an argument,  refresh  the  current  line  without
+              clearing the screen.
        rreeddrraaww--ccuurrrreenntt--lliinnee
               Refresh the current line.
 
@@ -4643,8 +4617,8 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
               is  resumed.  The return value is 0 unless _n is not greater than
               or equal to 1.
 
-       ddeeccllaarree [--aaAAffFFggiiIIllnnrrttuuxx] [--pp] [_n_a_m_e[=_v_a_l_u_e] ...]
-       ttyyppeesseett [--aaAAffFFggiiIIllnnrrttuuxx] [--pp] [_n_a_m_e[=_v_a_l_u_e] ...]
+       ddeeccllaarree [--aaAAffFFggiillnnrrttuuxx] [--pp] [_n_a_m_e[=_v_a_l_u_e] ...]
+       ttyyppeesseett [--aaAAffFFggiillnnrrttuuxx] [--pp] [_n_a_m_e[=_v_a_l_u_e] ...]
               Declare variables and/or give them attributes.  If no _n_a_m_es  are
               given  then display the values of variables.  The --pp option will
               display the attributes and values of each _n_a_m_e.  When --pp is used
@@ -4661,13 +4635,9 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
               _n_a_m_e  is  defined  are displayed as well.  The --FF option implies
               --ff.  The --gg option forces variables to be created or modified at
               the global scope, even when ddeeccllaarree is executed in a shell func-
-              tion.  It is ignored in all other cases.  The --II  option  causes
-              local  variables  to  inherit the attributes (except the _n_a_m_e_r_e_f
-              attribute) and value of any existing variable with the same _n_a_m_e
-              at  a  surrounding scope.  If there is no existing variable, the
-              local variable is initially unset.  The following options can be
-              used  to  restrict output to variables with the specified attri-
-              bute or to give variables attributes:
+              tion.  It is ignored in all other cases.  The following  options
+              can  be  used to restrict output to variables with the specified
+              attribute or to give variables attributes:
               --aa     Each _n_a_m_e  is  an  indexed  array  variable  (see  AArrrraayyss
                      above).
               --AA     Each  _n_a_m_e  is  an associative array variable (see AArrrraayyss
@@ -6000,7 +5970,7 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
               function lookup, as with the ccoommmmaanndd builtin.  ttyyppee returns true
               if all of the arguments are found, false if any are not found.
 
-       uulliimmiitt [--HHSSaabbccddeeffiikkllmmnnppqqrrssttuuvvxxPPRRTT [_l_i_m_i_t]]
+       uulliimmiitt [--HHSSaabbccddeeffiikkllmmnnppqqrrssttuuvvxxPPTT [_l_i_m_i_t]]
               Provides  control  over the resources available to the shell and
               to processes started by it, on systems that allow such  control.
               The --HH and --SS options specify that the hard or soft limit is set
@@ -6041,19 +6011,16 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
                      shell and, on some systems, to its children
               --xx     The maximum number of file locks
               --PP     The maximum number of pseudoterminals
-              --RR     The maximum time  a  real-time  process  can  run  before
-                     blocking, in microseconds
               --TT     The maximum number of threads
 
-              If  _l_i_m_i_t  is given, and the --aa option is not used, _l_i_m_i_t is the
-              new value of the specified resource.  If  no  option  is  given,
-              then  --ff is assumed.  Values are in 1024-byte increments, except
-              for --tt, which is in seconds; --RR, which is in  microseconds;  --pp,
-              which  is  in  units of 512-byte blocks; --PP, --TT, --bb, --kk, --nn, and
-              --uu, which are unscaled values; and, when in posix mode,  --cc  and
-              --ff,  which  are  in 512-byte increments.  The return status is 0
-              unless an invalid option or argument is supplied,  or  an  error
-              occurs while setting a new limit.
+              If _l_i_m_i_t is given, and the --aa option is not used, _l_i_m_i_t  is  the
+              new  value  of  the  specified resource.  If no option is given,
+              then --ff is assumed.  Values are in 1024-byte increments,  except
+              for  --tt,  which is in seconds; --pp, which is in units of 512-byte
+              blocks; --PP, --TT, --bb, --kk, --nn, and --uu, which are  unscaled  values;
+              and, when in posix mode, --cc and --ff, which are in 512-byte incre-
+              ments.  The return status is 0 unless an invalid option or argu-
+              ment is supplied, or an error occurs while setting a new limit.
 
        uummaasskk [--pp] [--SS] [_m_o_d_e]
               The user file-creation mask is set to _m_o_d_e.  If _m_o_d_e begins with
@@ -6242,4 +6209,4 @@ BBUUGGSS
 
 
 
-GNU Bash 5.0                     2020 March 24                         BASH(1)
+GNU Bash 5.0                    2020 January 29                        BASH(1)
diff --git a/doc/bash.ps b/doc/bash.ps
index 2565f3f2..ef45b19c 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -1,13 +1,13 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.22.4
-%%CreationDate: Wed Mar 25 09:55:09 2020
+%%CreationDate: Wed Jan 29 14:04:11 2020
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
 %%+ font Courier
 %%+ font Symbol
 %%DocumentSuppliedResources: procset grops 1.22 4
-%%Pages: 82
+%%Pages: 81
 %%PageOrder: Ascend
 %%DocumentMedia: Default 612 792 0 () ()
 %%Orientation: Portrait
@@ -340,7 +340,7 @@ F .475(xtended deb)-.15 F(ug-)-.2 E
 (~/.bashr)3.598 E(c)-.37 E F0 1.598(if the)4.408 F(shell is interacti)
 144 710.4 Q .3 -.15(ve \()-.25 H(see).15 E F4(INV)2.5 E(OCA)-.405 E
 (TION)-.855 E F0(belo)2.25 E(w\).)-.25 E(GNU Bash 5.0)72 768 Q
-(2020 March 24)144.29 E(1)198.45 E 0 Cg EP
+(2020 January 29)141.79 E(1)195.95 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
@@ -463,8 +463,8 @@ F2(~/.bashr)108 691.2 Q(c)-.37 E F0 2.535(,i)C 2.535(ft)-2.535 G .035
 Q F1(bash)5.306 E F0 2.806(is started non-interacti)5.306 F -.15(ve)-.25
 G(ly).15 E 5.306(,t)-.65 G 5.306(or)-5.306 G 2.806
 (un a shell script, for e)-5.306 F 2.805(xample, it looks for the v)-.15
-F(ariable)-.25 E(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(2)198.45 E
-0 Cg EP
+F(ariable)-.25 E(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(2)195.95
+E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
@@ -598,7 +598,7 @@ F .389(wed by)-.25 F F2(blank)2.889 E F0 .389(-separated w)B .389
 -.15(xe)-.15 G(cuted,).15 E(and is passed as ar)108 722.4 Q
 (gument zero.)-.18 E(The remaining w)5 E(ords are passed as ar)-.1 E
 (guments to the in)-.18 E -.2(vo)-.4 G -.1(ke).2 G 2.5(dc).1 G(ommand.)
--2.5 E(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(3)198.45 E 0 Cg EP
+-2.5 E(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(3)195.95 E 0 Cg EP
 %%Page: 4 4
 %%BeginPageSetup
 BP
@@ -715,8 +715,8 @@ or more pipelines separated by the)108 597.6 R F2(&&)2.672 E F0(and)
 (returns a non-zero e)2.935 F .435(xit status.)-.15 F .434
 (The return status of AND)5.434 F(and OR lists is the e)108 705.6 Q
 (xit status of the last command e)-.15 E -.15(xe)-.15 G
-(cuted in the list.).15 E(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E
-(4)198.45 E 0 Cg EP
+(cuted in the list.).15 E(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E
+(4)195.95 E 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
 BP
@@ -849,7 +849,8 @@ F0 1.13(is the portion of the)3.63 F(string matching the)144 679.2 Q F2
 (n)2.5 E F0(th parenthesized sube)A(xpression.)-.15 E .786
 (Expressions may be combined using the follo)144 697.2 R .785
 (wing operators, listed in decreasing order of prece-)-.25 F(dence:)144
-709.2 Q(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(5)198.45 E 0 Cg EP
+709.2 Q(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(5)195.95 E 0 Cg
+EP
 %%Page: 6 6
 %%BeginPageSetup
 BP
@@ -1000,8 +1001,8 @@ F1(elif)2.977 E F2(list)2.977 E F0 1.087(is e)144 712.8 R -.15(xe)-.15 G
 1.24(command completes.)144 724.8 R 1.24(Otherwise, the)6.24 F F1(else)
 3.74 E F2(list)3.74 E F0 1.239(is e)3.739 F -.15(xe)-.15 G 1.239
 (cuted, if present.).15 F 1.239(The e)6.239 F 1.239(xit status is the e)
--.15 F(xit)-.15 E(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(6)198.45
-E 0 Cg EP
+-.15 F(xit)-.15 E(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(6)
+195.95 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
@@ -1141,7 +1142,7 @@ F(ord)-.1 E .605
 1.336(option enabled does not allo)3.836 F 3.836(wc)-.25 G 3.836
 (omments. The)-3.836 F F1(interacti)3.836 E -.1(ve)-.1 G(_comments).1 E
 F0 1.337(option is on by def)3.837 F 1.337(ault in)-.1 F(GNU Bash 5.0)72
-768 Q(2020 March 24)144.29 E(7)198.45 E 0 Cg EP
+768 Q(2020 January 29)141.79 E(7)195.95 E 0 Cg EP
 %%Page: 8 8
 %%BeginPageSetup
 BP
@@ -1244,7 +1245,7 @@ Q F4(\\)144 607.2 Q F2(nnn)A F0(the eight-bit character whose v)180
 (igits\))-2.5 E F4(\\c)144 703.2 Q F2(x)A F0 2.5(ac)180 703.2 S(ontrol-)
 -2.5 E F2(x)A F0(character)2.5 E(The e)108 720 Q(xpanded result is sing\
 le-quoted, as if the dollar sign had not been present.)-.15 E
-(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(8)198.45 E 0 Cg EP
+(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(8)195.95 E 0 Cg EP
 %%Page: 9 9
 %%BeginPageSetup
 BP
@@ -1394,7 +1395,7 @@ R .442(ariable as an ar)-.25 F .442(gument, the v)-.18 F .443
 (tional parameters are assigned from the shell')108 722.4 R 2.944(sa)
 -.55 G -.18(rg)-2.944 G .444(uments when it is in).18 F -.2(vo)-.4 G -.1
 (ke).2 G .445(d, and may be reassigned using).1 F(GNU Bash 5.0)72 768 Q
-(2020 March 24)144.29 E(9)198.45 E 0 Cg EP
+(2020 January 29)141.79 E(9)195.95 E 0 Cg EP
 %%Page: 10 10
 %%BeginPageSetup
 BP
@@ -1525,8 +1526,8 @@ F0 .188(Expands to the process ID of the current)144 715.2 R F1(bash)
 F1($$)2.687 E F0 .187(under certain circum-)2.687 F .548
 (stances, such as subshells that do not require)144 727.2 R F1(bash)
 3.048 E F0 .548(to be re-initialized.)3.048 F .549(Assignments to)5.549
-F F2 -.27(BA)3.049 G(SHPID).27 E F0(GNU Bash 5.0)72 768 Q(2020 March 24)
-144.29 E(10)193.45 E 0 Cg EP
+F F2 -.27(BA)3.049 G(SHPID).27 E F0(GNU Bash 5.0)72 768 Q
+(2020 January 29)141.79 E(10)190.95 E 0 Cg EP
 %%Page: 11 11
 %%BeginPageSetup
 BP
@@ -1644,7 +1645,7 @@ E F0 .005(binary operator to the)2.506 F F1([[)2.505 E F0 .005
 -.15 F(xpression.)-.15 E .998(The element with inde)144 684 R(x)-.15 E
 F4(n)3.498 E F0 .997(is the portion of the string matching the)3.498 F
 F4(n)3.497 E F0 .997(th parenthesized sube)B(xpres-)-.15 E(sion.)144 696
-Q(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(11)193.45 E 0 Cg EP
+Q(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(11)190.95 E 0 Cg EP
 %%Page: 12 12
 %%BeginPageSetup
 BP
@@ -1756,7 +1757,7 @@ F0(belo)2.5 E(w\).)-.25 E F1(COPR)108 690 Q(OC)-.3 E F0 .168(An array v)
 (w\) created to hold the \214le descriptors for output from and input)
 -.25 F(to an unnamed coprocess \(see)144 714 Q F1(Copr)2.5 E(ocesses)
 -.18 E F0(abo)2.5 E -.15(ve)-.15 G(\).).15 E(GNU Bash 5.0)72 768 Q
-(2020 March 24)144.29 E(12)193.45 E 0 Cg EP
+(2020 January 29)141.79 E(12)190.95 E 0 Cg EP
 %%Page: 13 13
 %%BeginPageSetup
 BP
@@ -1865,7 +1866,7 @@ F -.15(xe)-.15 G .898(cuting, in).15 F(the standard GNU)144 666 Q F3
 (belo)2.793 E .293(w\) created to hold the te)-.25 F .294
 (xt read by the)-.15 F F1(map\214le)2.794 E F0 -.2(bu)2.794 G .294
 (iltin when no).2 F -.25(va)144 702 S(riable name is supplied.).25 E
-(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(13)193.45 E 0 Cg EP
+(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(13)190.95 E 0 Cg EP
 %%Page: 14 14
 %%BeginPageSetup
 BP
@@ -1969,8 +1970,8 @@ E(.)-.65 E .993(The follo)108 712.8 R .993(wing v)-.25 F .994
 (ariables are used by the shell.)-.25 F .994(In some cases,)5.994 F F1
 (bash)3.494 E F0 .994(assigns a def)3.494 F .994(ault v)-.1 F .994
 (alue to a v)-.25 F(ariable;)-.25 E(these cases are noted belo)108 724.8
-Q -.65(w.)-.25 G(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(14)193.45
-E 0 Cg EP
+Q -.65(w.)-.25 G(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(14)
+190.95 E 0 Cg EP
 %%Page: 15 15
 %%BeginPageSetup
 BP
@@ -2088,7 +2089,7 @@ F0 5.117(.F)C .116
 (honors the setting of the)144 672 Q F1(extglob)2.5 E F0(shell option.)
 2.5 E F1(FCEDIT)108 684 Q F0(The def)144 696 Q(ault editor for the)-.1 E
 F1(fc)2.5 E F0 -.2(bu)2.5 G(iltin command.).2 E(GNU Bash 5.0)72 768 Q
-(2020 March 24)144.29 E(15)193.45 E 0 Cg EP
+(2020 January 29)141.79 E(15)190.95 E 0 Cg EP
 %%Page: 16 16
 %%BeginPageSetup
 BP
@@ -2213,7 +2214,7 @@ F1(HOME)108 684 Q F0 1.27
 -.1 F 1.27(gument for the)-.18 F F1(cd)3.77 E F0 -.2(bu)3.77 G 1.27
 (iltin command.).2 F(The)6.27 E -.25(va)144 708 S(lue of this v).25 E
 (ariable is also used when performing tilde e)-.25 E(xpansion.)-.15 E
-(GNU Bash 5.0)72 768 Q(2020 March 24)144.29 E(16)193.45 E 0 Cg EP
+(GNU Bash 5.0)72 768 Q(2020 January 29)141.79 E(16)190.95 E 0 Cg EP
 %%Page: 17 17
 %%BeginPageSetup
 BP
@@ -2324,7 +2325,7 @@ l to zero, the shell disables mail checking.)-.25 E F1(MAILP)108 648 Q
 (alue by def)-.25 F .015(ault\), b)-.1 F(ut)-.2 E(the location of the u\
 ser mail \214les that it uses is system dependent \(e.g., /v)144 720 Q
 (ar/mail/)-.25 E F1($USER)A F0(\).)A(GNU Bash 5.0)72 768 Q
-(2020 March 24)144.29 E(17)193.45 E 0 Cg EP
+(2020 January 29)141.79 E(17)190.95 E 0 Cg EP
 %%Page: 18 18
 %%BeginPageSetup
 BP
diff --git a/eval.c b/eval.c
index d9ce64bb..17d389c3 100644
--- a/eval.c
+++ b/eval.c
@@ -260,7 +260,7 @@ send_pwd_to_eterm ()
 }
 
 #if defined (ARRAY_VARS)
-void
+int
 execute_array_command (ae, v)
      ARRAY_ELEMENT *ae;
      void *v;
@@ -271,6 +271,7 @@ execute_array_command (ae, v)
   command = element_value (ae);
   if (command && *command)
     execute_variable_command (command, tag);
+  return 0;
 }
 #endif
   
@@ -294,6 +295,7 @@ execute_prompt_command ()
   if (command_to_execute && *command_to_execute)
     execute_variable_command (command_to_execute, "PROMPT_COMMAND");
 }
+
 /* Call the YACC-generated parser and return the status of the parse.
    Input is read from the current input stream (bash_input).  yyparse
    leaves the parsed command in the global variable GLOBAL_COMMAND.
diff --git a/tests/RUN-ONE-TEST b/tests/RUN-ONE-TEST
index c8bef8dd..0b063810 100755
--- a/tests/RUN-ONE-TEST
+++ b/tests/RUN-ONE-TEST
@@ -1,4 +1,4 @@
-BUILD_DIR=/usr/local/build/bash/bash-current
+BUILD_DIR=/usr/local/build/chet/bash/bash-current
 THIS_SH=$BUILD_DIR/bash
 PATH=$PATH:$BUILD_DIR
 
